This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 516067 - port to PolicyKit 1.0
port to PolicyKit 1.0
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libconcord (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Douglas E. Warner
Fedora Extras Quality Assurance
:
: 528783 (view as bug list)
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-08-06 11:29 EDT by Matthias Clasen
Modified: 2011-06-27 10:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:19:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2009-08-06 11:29:58 EDT
PolicyKit 0.9 is going to be obsoleted by polkit 1.0. Please port libconcord to the new version. For more information, see 

http://www.fedoraproject.org/wiki/Features/PolicyKitOne
Comment 1 Douglas E. Warner 2009-10-13 14:24:47 EDT
*** Bug 528783 has been marked as a duplicate of this bug. ***
Comment 2 Bug Zapper 2010-03-15 08:45:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ian Dall 2010-06-24 08:19:29 EDT
I've been trying to figure out what is needed. Simply moving the rules file from /usr/share/PolicyKit/policy to /usr/share/polkit-1/action doesn't do. Evidently haldaemon no longer does something it used to. 

If I monitor dbus "dbus-monitor --system" I see the following when I plug in my harmony 525.

   string "/org/freedesktop/Hal/devices/usb_device_46d_c111_noserial"
signal sender=:1.266 -> dest=(null destination) serial=26 path=/org/freedesktop/Hal/Manager; interface=org.freedesktop.Hal.Manager; member=DeviceAdded
   string "/org/freedesktop/Hal/devices/usb_device_46d_c111_noserial"
signal sender=:1.266 -> dest=(null destination) serial=28 path=/org/freedesktop/Hal/Manager; interface=org.freedesktop.Hal.Manager; member=DeviceAdded
   string "/org/freedesktop/Hal/devices/usb_device_46d_c111_noserial_if0"

The thing that seems to be missing is the correct action_id (or something corresponding on the dBus. It puzzles me how the action_id (a parameter in the <action> tag in the polkit rules file) is constructed. As far as I can tell, udev doesn't do it, so it is the kernel? If so how does it know what action_id to create for which device. 

This is relevant to at least two other unusual devices I have been keeping custom rules for. A migration howto would be useful!
Comment 4 Bug Zapper 2011-06-02 13:51:38 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 10:19:57 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.